RedCrawler API
Flairs V1

Assign User Flair V1

Assign a flair template to a user in a subreddit. Requires bearer token.

POST /api/v1/communities/{name}/select-flair

Assign a flair template to a user in a subreddit. Requires bearer token.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.

Body parameters

NameTypeRequiredDescription
flair_template_idstringYesFlair template ID to assign.
usernamestringYesUsername to assign flair to.
bearerstringNoBearer token. Optional if stored in Token Vault.
textstringNoCustom flair text (if template allows editing).
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/select-flair" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"flair_template_id": "<flair_template_id>", "username": "Motor_Tip8865", "bearer": "<bearer>", "text": "<text>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/select-flair", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "flair_template_id": "<flair_template_id>",
  "username": "Motor_Tip8865",
  "bearer": "<bearer>",
  "text": "<text>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/select-flair"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "flair_template_id": "<flair_template_id>",
  "username": "Motor_Tip8865",
  "bearer": "<bearer>",
  "text": "<text>",
  "proxy": "<proxy>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": []
    }
  },
  "error": null,
  "timestamp": "2026-04-29T10:14:28.184088+00:00"
}

On this page